sc::StateOutFile(3)

NAME
sc::StateOutFile -

Writes state information to files'.

SYNOPSIS

#include <state_file.h>

Inherits sc::StateOut'.

Inherited by sc::StateOutBin, and sc::StateOutText'.

  Public Member Functions
StateOutFile ()
State information will be written to ExEnv::outn()'.
StateOutFile (std::ostream &s)
State information will be written to s'.
StateOutFile (const char *name)
State information will be written to name'.
virtual int open (const char *name)
State information will be written to name'.
virtual void flush ()
Flush the output stream'.
virtual void close ()
Close the output stream'.

  Protected Attributes
int opened_
std::streambuf * buf_

Detailed Description

Writes state information to files'.

Author

Generated automatically by Doxygen for MPQC from the source code'.